# @todo: uncomment legacy links after page migration
admin_attribute_groups_index:
  path: /
  methods: GET
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeGroupController::indexAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributesGroups
    _legacy_feature_flag: attribute_group

admin_attribute_groups_search:
  path: /
  methods: POST
  defaults:
    _controller: PrestaShopBundle\Controller\Admin\CommonController::searchGridAction
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributeGroups:submitFilterattribute_group
    gridDefinitionFactoryServiceId: prestashop.core.grid.definition.factory.attribute_group
    redirectRoute: admin_attribute_groups_index
    _legacy_feature_flag: attribute_group

admin_attribute_groups_create:
  path: /new
  methods: [ GET, POST ]
  defaults:
    # todo: implement create
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeGroupController::indexAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributeGroups:addattribute_group
    _legacy_feature_flag: attribute_group

admin_attribute_groups_view:
  path: /{attributeGroupId}/view
  methods: GET
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeController::indexAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributesGroups:viewattribute_group
    _legacy_feature_flag: attribute_group
    _legacy_parameters:
      id_attribute_group: attributeGroupId
  requirements:
    attributeGroupId: \d+

admin_attribute_groups_edit:
  path: /{attributeGroupId}/edit
  methods: [ GET, POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeGroupController::editAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributesGroups:updateattribute_group
    _legacy_feature_flag: attribute_group
    _legacy_parameters:
      id_attribute_group: attributeGroupId
  requirements:
    attributeGroupId: \d+

admin_attribute_groups_delete:
  path: /{attributeGroupId}/delete
  methods: [ POST, DELETE ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeGroupController::deleteAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_feature_flag: attribute_group
    _legacy_link: AdminAttributesGroups:deleteattribute_group
    _legacy_parameters:
      id_attribute_group: attributeGroupId
  requirements:
    attributeGroupId: \d+

admin_attribute_groups_bulk_delete:
  path: /bulk-delete
  methods: POST
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeGroupController::bulkDeleteAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributesGroups:submitBulkdeleteattribute_group
    _legacy_feature_flag: attribute_group

admin_attribute_groups_export:
  path: /export
  methods: GET
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeGroupController::exportAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributesGroups:exportattribute_group
    _legacy_feature_flag: attribute_group

admin_attribute_groups_update_position:
  path: /update-position
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\AttributeGroupController::updatePositionAction'
    _legacy_controller: AdminAttributesGroups
    _legacy_link: AdminAttributesGroups:updateGroupsPositions
    _legacy_feature_flag: attribute_group
